curl --request GET \
--url https://api.getsly.ai/v1/v1/ucp/merchants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currencies": [
"<string>"
],
"accepted_rails": [
"<string>"
],
"settlement_window": "instant",
"agent_ready": true,
"created_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"website": "<string>",
"category": "<string>",
"country": "<string>",
"metadata": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}Discovery. Filter by category, country, or search text. Use for building merchant picker UI in agent-facing clients.
curl --request GET \
--url https://api.getsly.ai/v1/v1/ucp/merchants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currencies": [
"<string>"
],
"accepted_rails": [
"<string>"
],
"settlement_window": "instant",
"agent_ready": true,
"created_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"website": "<string>",
"category": "<string>",
"country": "<string>",
"metadata": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
2true, false x <= 200